/* ------------------------------------------------------------------------------------------- */
/* Main */
.wEarn {    
    width: 100%;
    height: 100%;
}

.wEarn_out {
    margin: 10px;
    width: calc(100% - 20px);
    height: 95%;
}

/* ------------------------------------------------------------------------------------------- */
/* Header */
.wEarn_head {
    margin: 10px;

    width: calc(100% - 20px);
    height: 50px;

    background-color: var(--color-back-box1);

    border: 1px solid var(--color-bord1);
    border-radius: 5px;
}

.wEarn_head_grd1 {
    display: grid;
    grid-template-columns: 
        10px 80px 10px    /* Refresh */
        40px 40px 10px    /* CNT */
        40px 170px 10px   /* 매수 */
        40px 170px 10px   /* 매도 */
        40px 170px 10px   /* 완료 */
        55px 170px 10px   /* 수수료 */
        40px 170px 10px   /* 정산 */
        ;

    column-gap: 10px;
}

#id_excel_wEarn {
    margin-top: 10px;
}


/* ------------------------------------------------------------------------------------------- */
/* Main */
.wEarn_main {
    margin: 10px;

    width: calc(100% - 20px);
    height: calc(100% - 20px);
}

.wEarn_main_grd1 { 
    margin-bottom: 10px;

    /* width: 100%; */

    height: calc(100% - 10px);

    background-color: var(--color-back-box1);

    border: 1px solid var(--color-bord1);
    border-radius: 5px;

    overflow-x: auto; /* 위 아래 모두 있어야 함 */
    overflow-y: auto; /* 위 아래 모두 있어야 함 */
}

.wEarn_main_tbl_out {
    margin: 10px;

    width: calc(100% - 20px);
    height: calc(100% - 20px);

    background-color: var(--color-back-box1);

    overflow-x: auto; /* 위 아래 모두 있어야 함 */
    overflow-y: auto; /* 위 아래 모두 있어야 함 */
}

/* .wEarn_main_tbl tbody tr td {
    cursor: none;
} */

/* .wEarn_main_tbl .con_E {
    cursor: pointer;
} */

/* ---------------------------------------------- */

.wEarn_main_tbl thead tr th svg {
    position: absolute;
    
    cursor: pointer;
    fill : var(--color-updown);
    
    width: 10px;
    margin-left: 3px;    

    border: none;
}

.wEarn_main_tbl thead tr th .search-input {      
    margin: auto;
    width: 90%;
    font-size: 12px;
    font-weight: 700;

    text-align: left;    
    
    background-color: var(--color-back-search);

    /* padding-left: 14px;     */
    padding-left: 1px;    
    border: none;
    outline: none;
}

.wEarn_main_tbl thead tr th input::placeholder {    
    color: var(--color-font-search2);
}

.wEarn_main_tbl thead .col_Chk,
.wEarn_main_tbl thead .col_No {
    text-align: left;
    padding-left: 5px;
}

.wEarn_main_tbl thead .col_YN {
    text-align: center;
}

.wEarn_main_tbl thead .sortStr {
    text-align: left;
    padding-left: 7px;
}

.wEarn_main_tbl .col_Name {
    width: 150px;
}

.wEarn_main_tbl thead tr .col_Chk svg {
    margin-top: 4px;
}

.wEarn_main_tbl thead tr .col_Name .search-input,
.wEarn_main_tbl thead tr .col_DT .search-input {
    width: 80%;
}

.wEarn_main_tbl thead tr .col_Name svg,
.wEarn_main_tbl thead tr .col_DT svg {
    margin-top: 7px;
}

.wEarn_main_tbl tbody .col_Dept {
    font-size: 9px;
    padding-left: 5px;
}

/* ------------------------------------------------------------------------------------------- */
#id_spn_wEarn_exg01 {
    text-align: right;
}

#id_spn_wEarn_cost01,
#id_spn_wEarn_inve01,
#id_spn_wEarn_earn01,
#id_spn_wEarn_avg01 {
    text-align: right;
}

.wEarn_main_tbl tbody .col_080 {
    text-align: center;
}

.wEarn_main_tbl tbody .col_No {
    font-size: 12px;
    font-weight: 700;
}

.wEarn_main_tbl tbody .col_DT {
    font-size: 12px;
    font-weight: 700;
}

.wEarn_main_tbl tbody .col_Cha {
    font-size: 11px;
    font-weight: 700;
}

.wEarn_main_tbl tbody .col_PM {
    font-size: 11px;
    font-weight: 700;
}

.wEarn_main_tbl tbody .col_Numbs {
    font-size: 11px;
    font-weight: 600;
}

#id_spn_wEarn_spn02 {
    color: var(--color-yellow1);
}

#id_spn_wEarn_spn16,
#id_spn_wEarn_spn20 {
    color: var(--color-red4);
}

#id_spn_wEarn_spn18 {
    color: var(--color-purple2);
}

.wEarn_main_tbl tbody .col_blue {
    color: var(--color-blue1);
}

.wEarn_main_tbl tbody .col_yellow {
    color: var(--color-yellow1);
}

.wEarn_main_tbl tbody .col_red {
    color: var(--color-red3);
}

.wEarn_main_tbl tbody .col_purple {
    color: var(--color-purple2);
}

.wEarn_main_tbl tbody .col_purple3 {
    color: var(--color-purple3);
}

.wEarn_main_tbl tbody .col_white2 {
    color: var(--color-white2);
}

.wEarn_main_tbl tbody .col_pink {
    color: var(--color-pink1);
}